Ubuntu

Laptop display blank after update to kernel 3.0.0-15

Reported by David Schwarz on 2012-01-20
210
This bug affects 40 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Herton R. Krzesinski

Bug Description

Dell Latitude E6410

After upgrading to kernel version 3.0.0-15 via the Update Manager and rebooting, the laptop display was blank (after grub).

If connected to an external monitor via a Dell docking station, the external monitor displays correctly, but the laptop display remains blank.

Tried disabling and re-enabling the display via Unity System Settings, but the problem persists.

The display works correctly if I shut down and boot to kernel 3.0.0-14. The display remains blank during a warm reboot from kernel 3.0.0-15, so the shutdown is necessary to select a different version.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-15-generic 3.0.0-15.25
ProcVersionSignature: Ubuntu 3.0.0-15.25-generic 3.0.13
Uname: Linux 3.0.0-15-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dschwarz 1942 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6960000 irq 45'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:111d76d5,1028040a,00100104 HDA:80862804,80860101,00100000'
   Controls : 19
   Simple ctrls : 11
Date: Fri Jan 20 12:51:30 2012
HibernationDevice: RESUME=UUID=e229e0fd-4c88-4888-911c-fbaa6ff55653
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Dell Inc. Latitude E6410
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-15-generic root=UUID=55d5e21d-8aff-4fe3-8cfd-d4329d7bab51 ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-15-generic N/A
 linux-backports-modules-3.0.0-15-generic N/A
 linux-firmware 1.60
SourcePackage: linux
UpgradeStatus: Upgraded to oneiric on 2011-09-27 (114 days ago)
dmi.bios.date: 08/10/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0667CC
dmi.board.vendor: Dell Inc.
dmi.board.version: A03
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd08/10/2010:svnDellInc.:pnLatitudeE6410:pvr0001:rvnDellInc.:rn0667CC:rvrA03:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6410
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

David Schwarz (david-schwarz) wrote :
description: updated
description: updated
description: updated
Brad Figg (brad-figg) on 2012-01-20
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key regression-update
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2 kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed the issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'. If you believe this bug does not require upstream testing, please add the tag: 'kernel-upstream-testing-not-needed'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[1] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-precise/

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Julian Wiedmann (jwiedmann) wrote :

[ 25.998935] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
[ 30.595335] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting

Please also test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.13-oneiric/ to make sure that this isn't caused by one of the cherry-picked drm/i915 patches (the refclk series, maybe?).

David Schwarz (david-schwarz) wrote :

The issue is fixed in 3.2-precise, and also NOT present in 3.0.13-oneiric.

tags: added: kernel-fixed-upstream-v3.2-precise
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-key
Joseph Salisbury (jsalisbury) wrote :

Thanks for the update, David.

I'll bisect between 3.0.0-14.23 and 3.0.0-15.24 to identify the commit that introduced the regression.

I'll post a test kernel shortly.

Scott Talbert (swt-techie) wrote :

As suggested by Saku Ytti in a duplicate bug, this may be KMS related. Disabling KMS (nomodeset) also "fixes" the problem for me.

Andreas Baumgartner (abaumg) wrote :

I can confirm this for an Acer TravelMate 4021 with an external monitor (Asus VH196D). Booting with 3.0.0-14 works fine.

Joseph Salisbury (jsalisbury) wrote :

There is a test kernel available at:
http://people.canonical.com/~jsalisbury/lp919350/

Can folks affected by this bug test this kernel and report back?

This is a kernel bisect between 3.0.0-14.23 and 3.0.0-15.24. The kernel was built up to commit:
981da46a4243c74c3f53d46a46df357f86aff510

David Schwarz (david-schwarz) wrote :

The display works correctly under the lp919350 kernel linked above. Sorry for the slow turnaround.

On Mon, 23 Jan 2012, David Schwarz wrote:

> The display works correctly under the lp919350 kernel linked above.
> Sorry for the slow turnaround.

Ditto for me.

Joseph Salisbury (jsalisbury) wrote :

Thanks for the update. I will bisect again, and have another test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

There is a test kernel available at:
http://people.canonical.com/~jsalisbury/lp919350/

Can folks affected by this bug test this kernel and report back?

This is a kernel bisect between 3.0.0-14.23 and 3.0.0-15.24. The kernel was built up to commit:
65c133fc32e570f46cfeb64654034486801c1598

twin (twin) wrote :

For me (on a Dell E6510) the display does not work under the this kernel.

Andreas Angerman (angerman) wrote :

For me (on a HP EliteBook 2540p) the display does not work with the 3.0.12-030012.201201232330 build from lp919350 but works with the 3.0.12-030012.201201202259 build

Scott Talbert (swt-techie) wrote :

Same behavior confirmed on E6410. 201201232330 build does not work.

Is there an easy way to bisect Ubuntu kernels? Seems like it could be faster if one of us with the affected hardware could do it.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing the latest test kernel. I have a new kernel building which I will post shortly.

@Scott, there is some documentation available at the following link:
https://wiki.ubuntu.com/Kernel/KernelBisection

Let me know if you want to try bisecting and need help. In parallel, I will continue to bisect and post test kernels. Currently, git states we are about 5 test kernels away from identifying the commit that caused this regression.

Arnaud Frézet (arnaudfrezet) wrote :

Hi,

for me on a dell e6510 (intel hd graphics), it works since i updated to kernel 3.2. It was working on 3.0.0-14, it does not work on 3.0.0-15, and in 3.2 it work a little (it boots but i can not enable advanced graphical effects on desktop).

If it can help, i have the same trouble in Ubuntu 9, and it was fixed in Ubuntu 10 and 11.

Joseph Salisbury (jsalisbury) wrote :

There is a test kernel available at:
http://people.canonical.com/~jsalisbury/lp919350/

Can folks affected by this bug test this kernel and report back?

This is a kernel bisect between 3.0.0-14.23 and 3.0.0-15.24. The kernel was built up to commit:
06c4fb53935e861b065f1df2da7f9e9a824d1f37

twin (twin) wrote :

With this kernel (3.0.12-030012.201201251609_amd64), the display does not work for me.

Andreas Angerman (angerman) wrote :

I tried kernel bisects between 3.0.0-14.23 and 3.0.0-15.24 following the instructions above and seven kernels later this is the result:

e9925217e61dd3594f81b415f2b7e077426f208f is the first bad commit
commit e9925217e61dd3594f81b415f2b7e077426f208f

    drm/i915/dp: Fix the math in intel_dp_link_required

It will be interesting for me to see if Joseph's efforts reaches the same conclusion as this is my first attempt at commit log bisection.

Scott Talbert (swt-techie) wrote :

I did a bisection as well - I can confirm e9925217e61dd3594f81b415f2b7e077426f208f is the guilty commit.

Question - I was doing a "fakeroot debian/rules clean" between each build. Is this a necessary step, or can the build environment properly handle partial builds?

Hi,

I'm also having this bug.
The screen blanks out directly after grub loads the kernel.

My PC is a HP EliteBook 8440p, with the graphic card on the Intel cpu chip (or something like that).
32bit Ubuntu 11.10.

Here's the little information I managed to gather in the short time I have :

> lspci -vvknn
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
    Subsystem: Hewlett-Packard Company Device [103c:172a]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
    Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin A routed to IRQ 44
    Region 0: Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
    Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
    Region 4: I/O ports at 5058 [size=8]
    Expansion ROM at <unassigned> [disabled]
    Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Address: fee0c00c Data: 4189
    Capabilities: [d0] Power Management version 2
        Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
        Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [a4] PCI Advanced Features
        AFCap: TP+ FLR+
        AFCtrl: FLR-
        AFStatus: TP-
    Kernel driver in use: i915
    Kernel modules: i915

> lscpu
Architecture: i686
CPU op-mode(s): 32-bit, 64-bit
Byte Order: Little Endian
CPU(s): 4
On-line CPU(s) list: 0-3
Thread(s) per core: 2
Core(s) per socket: 2
CPU socket(s): 1
Vendor ID: GenuineIntel
CPU family: 6
Model: 37
Stepping: 5
CPU MHz: 1199.000
BogoMIPS: 4787.89
Virtualization: VT-x
L1d cache: 32K
L1i cache: 32K
L2 cache: 256K
L3 cache: 3072K

Best regards,

Stéphane.

Joseph Salisbury (jsalisbury) wrote :

There is a new test kernel available at:
http://people.canonical.com/~jsalisbury/lp919350/

Can folks affected by this bug test this kernel and report back?

This is a kernel bisect between 3.0.0-14.23 and 3.0.0-15.24. The kernel was built up to commit:
2698b99fc098823a767877794902e097321ccfb0

Scott Talbert (swt-techie) wrote :

On Thu, 26 Jan 2012, Joseph Salisbury wrote:

> There is a new test kernel available at:
> http://people.canonical.com/~jsalisbury/lp919350/
>
> Can folks affected by this bug test this kernel and report back?
>
> This is a kernel bisect between 3.0.0-14.23 and 3.0.0-15.24. The kernel was built up to commit:
> 2698b99fc098823a767877794902e097321ccfb0

Do you need to keep bisecting? We've already found the guilty commit.

Joseph Salisbury (jsalisbury) wrote :

@Scott, sorry I missed your post in comment #21. Thanks for finding the bad commit.

I don't think it is necessary to run a "fakeroot debian/rules clean" between each build. However, it doesn't hurt to start with a clean tree.

I'll build a test kernel with commit e9925217e61dd3594f81b415f2b7e077426f208f reverted for other folks affected by this bug. I'll post a link to the kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

There is a new test kernel available at:
http://people.canonical.com/~jsalisbury/lp919350/

Can folks affected by this bug test this kernel and report back?

This is a kernel has the e9925217e61dd3594f81b415f2b7e077426f208f commit reverted.

twin (twin) wrote :

This kernel (linux-image-3.0.17-030017-generic_3.0.17-030017.201201261553_amd64.deb) works for me.

Kimmo Nikkanen (knikkane) wrote :

Excellent! The Kernel provided by Joseph seems to work with my HP 2540P.

Melvin1981 (melvis) wrote :

Great! Kernel works fine on Hp8440p laptop.

The pae-i386 kernel works fine on my HP 8440p too.
Great jobs ! :-)

Joseph Salisbury (jsalisbury) wrote :

Thanks so much for all the folks that tested and helped debug kernels for this bug. Especially thanks to Scott and Andreas for their hard work bisecting. It's great when a community can come together and resolve a bug like this, which affects so many :-)

Changed in linux (Ubuntu):
status: Confirmed → Invalid
Changed in linux (Ubuntu Oneiric):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Herton R. Krzesinski (herton)
marcstraemke (marcstraemke) wrote :

Works for me also. Am still experiencing a problem with the docking station but this seems unrelated (Monitor does not turn on if Laptop lid is closed while starting in the docking station)

Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Pontusf (pontus-from) wrote :

Great, solved the problem on my HP Elitebook 2540p.

captnbli (peterg-miller) wrote :

Still a problem for me on my Dell Latitude E6510, which according to its specs page has: NVIDIA® NVS 3100M 512MB DDR3/
Intel® HD Graphics

Should I raise a new report or can this one be re-opened?

Thanks, TheCaptn

captnbli (peterg-miller) wrote :

Forgot to mention that I just upgraded to 3.0.16 via Ubuntu update.

captnbli (peterg-miller) wrote :

Sorry, not having a good day. I see that the fix is in .17, so I need to see how to get that version.
Cheers, Pete M

Scott Talbert (swt-techie) wrote :

On Mon, 30 Jan 2012, captnbli wrote:

> Sorry, not having a good day. I see that the fix is in .17, so I need to
> see how to get that version. Cheers, Pete M

I don't think it has been released yet. In the mean time, you can
probably keep using 3.0.0-14, or you can temporarily use the packages that
Joseph posted (above).

Sonny Kim (nsonnyk) wrote :

Thank you very much.

linux-image-3.0.17-030017-generic_3.0.17-030017.201201261553_i386.deb worked to solve my problem on a hp elitebook 8440p. However, I can't install the headers/source/doc because of dependencies.

Any clues on how to fix this issue?

mmalmeida (mmalmeida) wrote :

I don't know if the issue is the same or not, but on my Asus W5G00AE:

- I had the issue described in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/872652

- Updated to kernel 3.0.0-15 using the update manager.

After grub, the screen is black, then I get some very thin vertical lines all over the screen, which slowly fade to black, leaving me with a black screen and no login menu.

Tried the 3.0.0-17 kernel proposed here, but without any luck: the result is the same as with 15.

I therefore have:

- kernel 14 working, but with the bug #872652 (backlight does not work after resuming from screensaver)
- kernel 15 and 17 not booting up, yielding thin white vertical lines for a couple of seconds, which fade to black

Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-16.28). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Tom Rini (tom-rini) wrote :

On my Dell E6510, the proposed update fixes the problem:
$ uname -a
Linux e6510 3.0.0-16-generic #28-Ubuntu SMP Fri Jan 27 17:44:39 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Herton R. Krzesinski (herton) wrote :

Marking verification-done-oneiric as per comment #41

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Daniel M. (daniconil) wrote :

Tested in HP 2540p with 3.0.0.16-generic-pae, it's OK!

mmalmeida (mmalmeida) wrote :

@Herton - was the comment directed at me?

Here is a picture of what happens on the 3.0.0.15 and 3.0.0.17 kernels:

http://www.flickr.com/photos/23115157@N05/6798325597/

I'll try the -proposed kernel again tonight - after I upgraded yesterday the wireless stopped working, so I had to remove the linux-headers package in proposed.

mmalmeida (mmalmeida) wrote :

I updated to linux-image-3.0.0-16-generic but the issue is still here: the image after the grub is the one I posted on my previous comment and not the login window.

Scott Talbert (swt-techie) wrote :

On Wed, 1 Feb 2012, wild_oscar wrote:

> I updated to linux-image-3.0.0-16-generic but the issue is still here:
> the image after the grub is the one I posted on my previous comment and
> not the login window.

You might be experiencing a different bug. What type of video hardware do
you have?

David Schwarz (david-schwarz) wrote :

The proposed kernel resolves the original issue that I reported here.

@wild_oscar, it looks like you've encountered a different bug.

mmalmeida (mmalmeida) wrote :

  @Scott:
product: Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller

Like I said, it works perfectly in kernel 3.0.0.14.

Should we open a new bug report?

Scott Talbert (swt-techie) wrote :

On Wed, 1 Feb 2012, wild_oscar wrote:

> @Scott:
> product: Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller
>
> Like I said, it works perfectly in kernel 3.0.0.14.
>
> Should we open a new bug report?

Yes, I'd recommend a new bug report. Do you know how to bisect a kernel?
If not, I'd be happy to help.

mmalmeida (mmalmeida) wrote :

@Scott:
I created the bug report in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/925350

I don't know how to bisect a kernel (not even sure what that is). Sorry, it would be great if you could help.

Cheers

Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 3.0.0-16.28

---------------
linux (3.0.0-16.28) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #922692

  [ Upstream Kernel Changes ]

  * Revert "drm/i915/dp: Fix the math in intel_dp_link_required"
    - LP: #919350

linux (3.0.0-16.27) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920735

  [ Paolo Pisati ]

  * Revert "SAUCE: omap3: beagle: if rev unknown, assume xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision B"
    - LP: #912199
  * Revert "SAUCE: omap3: beaglexm: fix DVI initialization"
    - LP: #912199
  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Upstream Kernel Changes ]

  * Revert "rtc: Disable the alarm in the hardware"
    - LP: #913373
  * Support for Terratec G1
    - LP: #821061
  * drm/radeon/kms: fix DP detect and EDID fetch for DP bridges
    - LP: #825777
  * drm/radeon/kms/DCE4.1: fix Select_CrtcSource EncodeMode setting for DP
    bridges (v2)
    - LP: #825777
  * drm/radeon/kms: cleanup atombios_adjust_pll()
    - LP: #825777
  * drm/radeon/kms/atom: rework encoder dpms
    - LP: #825777
  * drm/radeon/kms: check for DP MST mode in a few more places (v2)
    - LP: #825777
  * drm/radeon/kms: rework DP bridge checks
    - LP: #825777
  * drm/radeon/kms: fix DP setup on TRAVIS bridges
    - LP: #825777
  * ALSA: sis7019 - give slow codecs more time to reset
    - LP: #907778
  * ALSA: hda/realtek - Fix Oops in alc_mux_select()
    - LP: #907778
  * alarmtimers: Fix time comparison
    - LP: #907778
  * ARM: davinci: da850 evm: change audio edma event queue to EVENTQ_0
    - LP: #907778
  * arm: mx23: recognise stmp378x as mx23
    - LP: #907778
  * ARM: at91: fix clock conid for atmel_tcb.1 on 9260/9g20
    - LP: #907778
  * ARM: davinci: dm646x evm: wrong register used in
    setup_vpif_input_channel_mode
    - LP: #907778
  * ASoC: Provide a more complete DMA driver stub
    - LP: #907778
  * fs/proc/meminfo.c: fix compilation error
    - LP: #907778
  * thp: add compound tail page _mapcount when mapped
    - LP: #907778
  * thp: set compound tail page _count to zero
    - LP: #907778
  * ptp: Fix clock_getres() implementation
    - LP: #907778
  * mm: Ensure that pfn_valid() is called once per pageblock when reserving
    pageblocks
    - LP: #907778
  * mm: vmalloc: check for page allocation failure before vmlist insertion
    - LP: #907778
  * fix apparmor dereferencing potentially freed dentry, sanitize
    __d_path() API
    - LP: #907778
  * target: Handle 0 correctly in transport_get_sectors_6()
    - LP: #907778
  * intel-iommu: fix return value of iommu_unmap() API
    - LP: #907778
  * intel-iommu: set iommu_superpage on VM domains to lowest common
    denominator
    - LP: #907778
  * intel-iommu: fix superpage support in pfn_to_dma_pte()
    - LP: #907778
  * percpu: fix chunk range calculation
    - LP: #907778
  * iwlwifi: do not re-configure HT40 after associated
    - LP: #907778
  * mac80211: fix race condition caused by late addBA respon...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.